package ru.yandex.webmaster3.coordinator.http.sitetree;

import java.io.InputStream;

import ru.yandex.webmaster3.coordinator.http.BaseCoordinatorRequest;
import ru.yandex.webmaster3.core.http.BinaryActionRequest;
import ru.yandex.webmaster3.core.http.RequestQueryProperty;

/**
 * @author aherman
 */
public class ReceivePageSamplesRequest implements BinaryActionRequest, BaseCoordinatorRequest {
    private String applicationName;
    private String applicationVersion;
    private String requestId;
    private InputStream contentInputStream;
    private int dataTimestamp;
    private String host;

    public String getHost() {
        return host;
    }

    @RequestQueryProperty(required = true)
    public void setHost(String host) {
        this.host = host;
    }

    @Override
    public void setApplicationName(String applicationName) {
        this.applicationName = applicationName;
    }

    @Override
    public String getApplicationName() {
        return applicationName;
    }

    @Override
    public void setApplicationVersion(String applicationVersion) {
        this.applicationVersion = applicationVersion;
    }

    @Override
    public String getApplicationVersion() {
        return applicationVersion;
    }

    @Override
    public void setRequestId(String requestId) {
        this.requestId = requestId;
    }

    @Override
    public String getRequestId() {
        return requestId;
    }

    @Override
    public void setContentInputStream(InputStream inputStream) {
        this.contentInputStream = inputStream;
    }

    @Override
    public InputStream getContentInputStream() {
        return contentInputStream;
    }

    @RequestQueryProperty(required = true)
    public void setDataTimestamp(int dataTimestamp) {
        this.dataTimestamp = dataTimestamp;
    }

    public int getDataTimestamp() {
        return dataTimestamp;
    }
}
